Debian Bug report logs - #639010
do not include <time.h> unexpectedly.

version graph

Package: hurd; Maintainer for hurd is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for hurd is src:hurd.

Reported by: svante.signell@telia.com

Date: Tue, 23 Aug 2011 16:27:04 UTC

Severity: important

Tags: patch

Fixed in version hurd/20111106-1

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Robert Lemmen <robertle@semistable.com>:
Bug#639010; Package src:tablix2. (Tue, 23 Aug 2011 16:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Robert Lemmen <robertle@semistable.com>. (Tue, 23 Aug 2011 16:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tablix2: FTBFs on hurd-i386
Date: Tue, 23 Aug 2011 18:25:43 +0200
[Message part 1 (text/plain, inline)]
Source: tablix2
Version: 0.3.5-2
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hello,

tablix2 currently FTBFS on hurd-i386 due to naming of some local
variables the unfortunate name time. On GNU/Hurd inclusion of standard
header files, like stdlib.h indirectly includes /usr/include/time.h,
which defines time(2) creating a variable name conflict. The attached
patch renames these variables to avoid this problem.


[fix_ftbfs4hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Lemmen <robertle@semistable.com>:
Bug#639010; Package src:tablix2. (Tue, 23 Aug 2011 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Robert Lemmen <robertle@semistable.com>. (Tue, 23 Aug 2011 17:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 639010@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: svante.signell@telia.com, 639010@bugs.debian.org
Cc: debian-hurd@lists.debian.org
Subject: Re: Bug#639010: tablix2: FTBFs on hurd-i386
Date: Tue, 23 Aug 2011 19:11:53 +0200
reassign 639010 hurd
retitle 639010 do not include <time.h> unexpectedly.
thanks

Svante Signell, le Tue 23 Aug 2011 18:25:43 +0200, a écrit :
> On GNU/Hurd inclusion of standard header files, like stdlib.h
> indirectly includes /usr/include/time.h,

Well, it's a GNU/Hurd bug, then. I have commited a fix to libpthread.

Samuel




Bug reassigned from package 'src:tablix2' to 'hurd'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 17:15:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions tablix2/0.3.5-2. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 17:15:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'do not include <time.h> unexpectedly.' from 'tablix2: FTBFs on hurd-i386' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 17:15:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Mon, 31 Oct 2011 11:39:03 GMT) Full text and rfc822 format available.

Message sent on to svante.signell@telia.com:
Bug#639010. (Mon, 31 Oct 2011 11:39:12 GMT) Full text and rfc822 format available.

Message #21 received at 639010-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 639010-submitter@bugs.debian.org
Subject: Bug#639010 marked as pending
Date: Mon, 31 Oct 2011 11:38:11 +0000
tag 639010 pending
thanks

Hello,

Bug #639010 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=pkg-hurd/hurd.git;a=commitdiff;h=e0849be

---
commit e0849be5552391cf040d6991ad52ed9adbabd469
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Mon Oct 31 12:37:55 2011 +0100

    Close bug about unexpected inclusion of <time.h>

diff --git a/debian/changelog b/debian/changelog
index f4c49ed..f64afa0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,7 @@ hurd (20111030-1) UNRELEASED; urgency=low
     - Drop debian/patches/ttys.patch.patch, applied upstream.
     - Drop debian/patches/auth-intr-cure.patch, applied upstream.
     - Drop debian/libpthread_tls.patch, applied upstream.
+    - Closes: #639010.
   * local/setup-translators:
     - Restore /dev/shm creation.
     - create /run/shm and /run/lock, to fix locking until we properly start




Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Sun, 06 Nov 2011 16:21:10 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@telia.com:
Bug acknowledged by developer. (Sun, 06 Nov 2011 16:21:10 GMT) Full text and rfc822 format available.

Message #26 received at 639010-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 639010-close@bugs.debian.org
Subject: Bug#639010: fixed in hurd 20111106-1
Date: Sun, 06 Nov 2011 16:18:33 +0000
Source: hurd
Source-Version: 20111106-1

We believe that the bug you reported is fixed in the latest version of
hurd, which is due to be installed in the Debian FTP archive:

hurd-dbg_20111106-1_hurd-i386.deb
  to main/h/hurd/hurd-dbg_20111106-1_hurd-i386.deb
hurd-dev_20111106-1_hurd-i386.deb
  to main/h/hurd/hurd-dev_20111106-1_hurd-i386.deb
hurd-doc_20111106-1_all.deb
  to main/h/hurd/hurd-doc_20111106-1_all.deb
hurd-udeb_20111106-1_hurd-i386.udeb
  to main/h/hurd/hurd-udeb_20111106-1_hurd-i386.udeb
hurd_20111106-1.debian.tar.bz2
  to main/h/hurd/hurd_20111106-1.debian.tar.bz2
hurd_20111106-1.dsc
  to main/h/hurd/hurd_20111106-1.dsc
hurd_20111106-1_hurd-i386.deb
  to main/h/hurd/hurd_20111106-1_hurd-i386.deb
hurd_20111106.orig.tar.gz
  to main/h/hurd/hurd_20111106.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated hurd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 18 Aug 2011 01:15:04 +0000
Source: hurd
Binary: hurd hurd-dev hurd-dbg hurd-doc hurd-udeb
Architecture: source all hurd-i386
Version: 20111106-1
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 hurd       - GNU Hurd
 hurd-dbg   - GNU Hurd (debugging files)
 hurd-dev   - GNU Hurd (development files)
 hurd-doc   - GNU Hurd manual
 hurd-udeb  - GNU Hurd - udeb (udeb)
Closes: 637231 639010
Changes: 
 hurd (20111106-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Drop debian/patches/ttys.patch.patch, applied upstream.
     - Drop debian/patches/auth-intr-cure.patch, applied upstream.
     - Drop debian/patches/libpthread_tls.patch, applied upstream.
     - debian/patches/libpthread_procfs.patch: Refresh.
     - Closes: #639010.
   * local/setup-translators:
     - Restore /dev/shm creation.
     - create /run/shm and /run/lock, to fix locking until we properly start
     rcS.d scripts.
     - Add cd[01] SCSI CD-ROMs.
   * patches/libdiskfs_sync.patch: New patch to fix sync at shutdown.
   * patches/libpthread_procfs.patch: Add random server.
   * local/setup-translators: Use random server, set up its entropy pool in
     /var/spool.
   * debian/control, debian/local/setup-translators: Use native random server
     set on /dev/u?random-hurd instead of random-egd on /dev/u?random.
     (Closes: bug#637231)
   * debian/hurd.{postinst,prerm}: Handle alternative for /dev/u?random,
     default to u?random-hurd, generate an initial pseudo-random seed.
   * debian/hurd.lintian-overrides: Override warnings about the /dev/u?random
     mangling.
   * debian/local/cdrom.h: Add header for basic CD-ROM ioctl support.
   * debian/patches/libpthread_globsigdisp.patch,posix-sigcodes.patch: New
     patches from Jeremie Koenig to enable global signal support.
   * debian/patches/libpthread_sigmask.patch: Update to global signal support.
   * debian/copyright: Fix copyright notice.
   * debian/control:
     - Drop article from synopsis.
     - Tighten hurd-dev dependency on hurd to the same version.
   * debian/hurd-udeb.install: Only include the necessary console drivers.
   * debian/patches/random-default-fast.patch: Set default randomness to fast,
     until we set up a daemon to feed /dev/random with entropy.
Checksums-Sha1: 
 0b91a7793dd30aed926bcbf2c00c7233047407ef 1752 hurd_20111106-1.dsc
 64c3c2abf855ff7eae95a2ed357949a8ebc57c77 2716558 hurd_20111106.orig.tar.gz
 dd8085aaf5d65acf33522b1cec8532439b620bdc 84123 hurd_20111106-1.debian.tar.bz2
 6b431e9c81e68c5ffb67cd7ee3a35e4c4935a295 197844 hurd-doc_20111106-1_all.deb
 28c754f1a939656294615c0db27443e43e792983 3617794 hurd_20111106-1_hurd-i386.deb
 4ffd29e2c9bc9b7b0d177e3dae14ec9d60d5c1cb 590050 hurd-dev_20111106-1_hurd-i386.deb
 baad24d219d30b52208539293abc10859159ad5e 6505862 hurd-dbg_20111106-1_hurd-i386.deb
 42dd2d2cb3ea0545f42ae4d47249361c6b5f4e14 2046868 hurd-udeb_20111106-1_hurd-i386.udeb
Checksums-Sha256: 
 4a70e9476b6102ef8b0ec6b9f457cb5392c4558b96fcc5719fc3b0736e902bcf 1752 hurd_20111106-1.dsc
 8a375827c10719418df82f2e769375831974d915fff1b9cc46aae9fbe59d86e7 2716558 hurd_20111106.orig.tar.gz
 8be5499f32dd6af5aa142a2e10f1797960e250ace7dd574109e967e3b23bf8fc 84123 hurd_20111106-1.debian.tar.bz2
 6484b08abd9ef329be9a651c2ab71854b429bfb0a5a7049d9b627b774f79f88e 197844 hurd-doc_20111106-1_all.deb
 f0d18858263ade6be4a961fec9a808ee705b3a266116fc339d3d6461dcb4a488 3617794 hurd_20111106-1_hurd-i386.deb
 a0bb95749dcbb82736eea4c448f2a66404af7f5745644bb67c0b1d1b72356b07 590050 hurd-dev_20111106-1_hurd-i386.deb
 9614d3d2b64e94ffd6214b7930aeb4b888736955d60a6bb4d67fcd2ba8760b99 6505862 hurd-dbg_20111106-1_hurd-i386.deb
 869f9e8b851b57efb3125575021a472293d5972808fd223bca95e2982bbd6645 2046868 hurd-udeb_20111106-1_hurd-i386.udeb
Files: 
 1bdb4251ba58980257b00dee0b101bcc 1752 admin required hurd_20111106-1.dsc
 25b17d7eb15bb9673271ea1667ce679f 2716558 admin required hurd_20111106.orig.tar.gz
 34a58656b31e518ebd631729c12261bb 84123 admin required hurd_20111106-1.debian.tar.bz2
 fcc67c390cecd5e6247fc27537c16535 197844 doc optional hurd-doc_20111106-1_all.deb
 07990ee279d979afb59d845a376eddbf 3617794 admin required hurd_20111106-1_hurd-i386.deb
 81d556dc1557360f98301ccd516f98ef 590050 libdevel standard hurd-dev_20111106-1_hurd-i386.deb
 1919a3e61bc7d5c7edf75cac324f03d9 6505862 debug extra hurd-dbg_20111106-1_hurd-i386.deb
 68465abec60c09ddaa37e53ebc95b1a8 2046868 debian-installer optional hurd-udeb_20111106-1_hurd-i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk62sREACgkQa6Lp0s/HjrMtFQD/XGA/KrHbgUtKPfOoE4fk31nf
+U6VXkthwmwv2sW320sA/ijP+x54eICNUOEAeViw59jGGW3Smjb9Wc5b0WOxLatf
=gOxa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Dec 2011 07:32:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:51:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.